Open CASCADE Technology: Bisector_Bisec Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Bisector_Bisec Class Reference

Bisec provides the bisecting line between two elements This line is trimed by a point. More...

`#include <Bisector_Bisec.hxx>`

## Public Member Functions
| Bisector_Bisec ()
void | Perform (const Handle< Geom2d_Curve > &Cu1, const Handle< Geom2d_Curve > &Cu2, const gp_Pnt2d &P, const gp_Vec2d &V1, const gp_Vec2d &V2, const Standard_Real Sense, const GeomAbs_JoinType ajointype, const Standard_Real Tolerance, const Standard_Boolean oncurve=Standard_True)
| Performs the bisecting line between the curves <Cu1> and <Cu2>. <oncurve> is True if the point. More...
void | Perform (const Handle< Geom2d_Curve > &Cu, const Handle< Geom2d_Point > &Pnt, const gp_Pnt2d &P, const gp_Vec2d &V1, const gp_Vec2d &V2, const Standard_Real Sense, const Standard_Real Tolerance, const Standard_Boolean oncurve=Standard_True)
| Performs the bisecting line between the curve <Cu1> and the point <Pnt>. <oncurve> is True if the point. More...
void | Perform (const Handle< Geom2d_Point > &Pnt, const Handle< Geom2d_Curve > &Cu, const gp_Pnt2d &P, const gp_Vec2d &V1, const gp_Vec2d &V2, const Standard_Real Sense, const Standard_Real Tolerance, const Standard_Boolean oncurve=Standard_True)
| Performs the bisecting line between the curve <Cu> and the point <Pnt>. <oncurve> is True if the point. More...
void | Perform (const Handle< Geom2d_Point > &Pnt1, const Handle< Geom2d_Point > &Pnt2, const gp_Pnt2d &P, const gp_Vec2d &V1, const gp_Vec2d &V2, const Standard_Real Sense, const Standard_Real Tolerance=0.0, const Standard_Boolean oncurve=Standard_True)
| Performs the bisecting line between the two points <Pnt1> and <Pnt2>. More...
const Handle< Geom2d_TrimmedCurve > & | Value () const
| Returns the Curve of <me>. More...
const Handle< Geom2d_TrimmedCurve > & | ChangeValue ()
| Returns the Curve of <me>. More...

## Detailed Description

Bisec provides the bisecting line between two elements This line is trimed by a point.

and it's contained in the domain defined by the two vectors <V1>, <V2> and <Sense>.

Definition of the domain: if <Sense> is true the bisecting line is contained in the sector defined by <-V1> and <-V2> in the sense indirect. if <Sense> is false the bisecting line is contained in the sector defined by <-V1> and <-V2> in the sense direct.

<Tolerance> is used to define degenerate bisector. if the bisector is an hyperbola and one of this radius is smaller than <Tolerance>, the bisector is replaced by a line or semi_line corresponding to one of hyperbola's axes. if the bisector is a parabola on the focal length is smaller than <Tolerance>, the bisector is replaced by a semi_line corresponding to the axe of symetrie of the parabola. if the bisector is an ellipse and the minor radius is smaller than <Tolerance>, the bisector is replaced by a segment corresponding to the great axe of the ellipse.

## Constructor & Destructor Documentation

Bisector_Bisec::Bisector_Bisec | ( |  | ) |

## Member Function Documentation

const Handle< Geom2d_TrimmedCurve >& Bisector_Bisec::ChangeValue | ( |  | ) |

Returns the Curve of <me>.

void Bisector_Bisec::Perform | ( | const Handle< Geom2d_Curve > & | Cu1,
|  | const Handle< Geom2d_Curve > & | Cu2,
|  | const gp_Pnt2d & | P,
|  | const gp_Vec2d & | V1,
|  | const gp_Vec2d & | V2,
|  | const Standard_Real | Sense,
|  | const GeomAbs_JoinType | ajointype,
|  | const Standard_Real | Tolerance,
|  | const Standard_Boolean | oncurve = `Standard_True`
| ) |  |

Performs the bisecting line between the curves <Cu1> and <Cu2>. <oncurve> is True if the point.

is common to <Cu1> and <Cu2>.

void Bisector_Bisec::Perform | ( | const Handle< Geom2d_Curve > & | Cu,
|  | const Handle< Geom2d_Point > & | Pnt,
|  | const gp_Pnt2d & | P,
|  | const gp_Vec2d & | V1,
|  | const gp_Vec2d & | V2,
|  | const Standard_Real | Sense,
|  | const Standard_Real | Tolerance,
|  | const Standard_Boolean | oncurve = `Standard_True`
| ) |  |

Performs the bisecting line between the curve <Cu1> and the point <Pnt>. <oncurve> is True if the point.

is the point <Pnt>.

void Bisector_Bisec::Perform | ( | const Handle< Geom2d_Point > & | Pnt,
|  | const Handle< Geom2d_Curve > & | Cu,
|  | const gp_Pnt2d & | P,
|  | const gp_Vec2d & | V1,
|  | const gp_Vec2d & | V2,
|  | const Standard_Real | Sense,
|  | const Standard_Real | Tolerance,
|  | const Standard_Boolean | oncurve = `Standard_True`
| ) |  |

Performs the bisecting line between the curve <Cu> and the point <Pnt>. <oncurve> is True if the point.

is the point <Pnt>.

void Bisector_Bisec::Perform | ( | const Handle< Geom2d_Point > & | Pnt1,
|  | const Handle< Geom2d_Point > & | Pnt2,
|  | const gp_Pnt2d & | P,
|  | const gp_Vec2d & | V1,
|  | const gp_Vec2d & | V2,
|  | const Standard_Real | Sense,
|  | const Standard_Real | Tolerance = `0.0`,
|  | const Standard_Boolean | oncurve = `Standard_True`
| ) |  |

Performs the bisecting line between the two points <Pnt1> and <Pnt2>.

const Handle< Geom2d_TrimmedCurve >& Bisector_Bisec::Value | ( |  | ) | const

Returns the Curve of <me>.

The documentation for this class was generated from the following file:

- Bisector_Bisec.hxx